﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace JkevinVideoRental
{
    public partial class FrmMovieList : Form
    {
        public FrmMovieList()
        {
            InitializeComponent();
        }

        private void movieBindingNavigatorSaveItem_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.movieBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this.movieListDataSet);

            MessageBox.Show("Data Saved", "", MessageBoxButtons.OK, MessageBoxIcon.Information);
        }

        private void FrmMovieList_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'selectlDataSet.Selection' table. You can move, or remove it, as needed.
            this.selectionTableAdapter.Fill(this.selectlDataSet.Selection);
            // TODO: This line of code loads data into the 'movieListDataSet.Movie' table. You can move, or remove it, as needed.
            this.movieTableAdapter.Fill(this.movieListDataSet.Movie);

        }

        private void movieDataGridView_CellContentClick(object sender, DataGridViewCellEventArgs e)
        {

        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.movieTableAdapter.FillBy(this.movieListDataSet.Movie,textBox1.Text);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void button3_Click(object sender, EventArgs e)
        {

            this.Validate();
            this.movieBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this.movieListDataSet);

            MessageBox.Show("Save", "", MessageBoxButtons.OK, MessageBoxIcon.Information);
        }

        private void btn_Edit_Click(object sender, EventArgs e)
        {

            
        }

        private void btn_Refresh_Click(object sender, EventArgs e)
        {
            this.movieTableAdapter.Fill(this.movieListDataSet.Movie);
        }

        private void btn_close_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void button2_Click_1(object sender, EventArgs e)
        {
            if (comboBox1.Text == "Drama")
            {
                this.movieTableAdapter.FillByDrama(this.movieListDataSet.Movie);
                
 
            }

            if (comboBox1.Text == "Action")
            {
                this.movieTableAdapter.FillByAction(this.movieListDataSet.Movie);


            }
            if (comboBox1.Text == "Comedy")
            {
                this.movieTableAdapter.FillByComedy(this.movieListDataSet.Movie);


            }
            if (comboBox1.Text == "Cartoon")
            {
                this.movieTableAdapter.FillByCartoon(this.movieListDataSet.Movie);


            }
            if (comboBox1.Text == "Animated")
            {
                this.movieTableAdapter.FillByAnimated(this.movieListDataSet.Movie);


            }
            if (comboBox1.Text == "Horror")
            {
                this.movieTableAdapter.FillByHorror(this.movieListDataSet.Movie);


            }
            if (comboBox1.Text == "Series")
            {
                this.movieTableAdapter.FillBySeries(this.movieListDataSet.Movie);


            }

        }
    }
}
